<?xml version="1.0" encoding="UTF-8"?>
<extension type="module" version="2.5.0" method="upgrade" client="site">
    <name>MOD_COALAWEBTRAFFIC</name>
    <creationDate>June 2013</creationDate>
    <author>Steven Palmer</author>
    <authorEmail>support@coalaweb.com</authorEmail>
    <authorUrl>http://coalaweb.com</authorUrl>
    <copyright>Copyright (c) 2013 Steven Palmer All rights reserved.</copyright>
    <license>http://www.gnu.org/copyleft/gpl.html GNU/GPL</license>
    <version>0.1.7</version>
    <description>MOD_COALAWEBTRAFFIC_DESCRIPTION</description>

    <files>
        <filename module="mod_coalawebtraffic">mod_coalawebtraffic.php</filename>
        <filename>helper.php</filename>
        <filename>index.html</filename>
        <folder>assets</folder>
        <folder>fields</folder>
        <folder>language</folder>
        <folder>tmpl</folder>
    </files>
        
    <media destination="mod_coalawebtraffic" folder="media">
        <filename>index.html</filename>
        <folder>images</folder>
        <folder>css</folder>
    </media>

    <languages folder="language">
        <language tag="en-GB">en-GB/en-GB.mod_coalawebtraffic.ini</language>
        <language tag="en-GB">en-GB/en-GB.mod_coalawebtraffic.sys.ini</language>
    </languages>

    <!-- HELP FILE -->
    <help url="MOD_CWTRAFFIC_HELP_URL" />


    <config>
        <fields name="params" addfieldpath="/modules/mod_coalawebtraffic/fields">
                
            <fieldset
                name="GENERAL"
                label="MOD_CWTRAFFIC_GENERAL_SEPARATOR">
                        
                <field 
                    type="asset" 
                    path="/modules/mod_coalawebtraffic/fields/"/>
                    
                <field
                    name="s_today"
                    type="radio"
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_TODAY"
                    description="MOD_CWTRAFFIC_SHOW_TODAY_VISITORS">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
                <field
                    name="today"
                    type="text"
                    default=""
                    label="MOD_CWTRAFFIC_TODAY_OPT"
                    description="MOD_CWTRAFFIC_TODAY_DESC"/>
                        
                <field
                    name="s_yesterday"
                    type="radio"
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_YESTERDAY"
                    description="MOD_CWTRAFFIC_SHOW_YESTERDAY_VISITORS">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
                <field
                    name="yesterday"
                    type="text"
                    default=""
                    label="MOD_CWTRAFFIC_YESTERDAY_OPT"
                    description="MOD_CWTRAFFIC_YESTERDAY_DESC"/>
                        
                <field
                    name="s_week"
                    type="radio"
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_WEEK"
                    description="MOD_CWTRAFFIC_SHOW_WEEK_VISITORS">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
                <field
                    name="week"
                    type="text"
                    default=""
                    label="MOD_CWTRAFFIC_WEEK_OPT"
                    description="MOD_CWTRAFFIC_WEEK_DESC"/>
                        
                <field
                    name="s_month"
                    type="radio"
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_MONTH"
                    description="MOD_CWTRAFFIC_SHOW_MONTH_VISITORS">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
                <field 
                    name="month"
                    type="text"
                    default=""
                    label="MOD_CWTRAFFIC_MONTH_OPT"
                    description="MOD_CWTRAFFIC_MONTH_DESC"/>
                        
                <field
                    name="s_all"
                    type="radio"
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_TOTAL"
                    description="MOD_CWTRAFFIC_SHOW_TOTAL_VISITORS">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
                <field 
                    name="all"
                    type="text"
                    default=""
                    label="MOD_CWTRAFFIC_TOTAL_OPT"
                    description="MOD_CWTRAFFIC_TOTAL_DESC"/>
                        
                <field
                    name="select_theme"
                    type="list"
                    validate="options"
                    default="icons-1"
                    label="MOD_CWTRAFFIC_SELECT_THEME"
                    description="MOD_CWTRAFFIC_SELECT_THEMEDESC" >
                    <option value="no-icons">No Icons</option>
                    <option value="icons-1">Users</option>
                    <option value="icons-2">Graphs</option>
                    <option value="icons-3">Traffic</option>
                    <option value="icons-4">Globe</option>
                    <option value="icons-5">Tags</option>
                    <option value="icons-6">Stars</option>
                    <option value="icons-7">Clocks</option>
                    <option value="icons-8">Arrows</option>
                </field>
                    
            </fieldset>
                
            <fieldset 
                name="VISITOR"
                label="MOD_CWTRAFFIC_VISITOR_SEPARATOR">
                        
                <field
                    name="hLine"
                    type="radio"
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_HLINE_OPT"
                    description="MOD_CWTRAFFIC_SHOW_HLINE_DESC">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
                <field
                    name="s_guestip"
                    type="radio"
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_VISITOR_IP"
                    description="MOD_CWTRAFFIC_SHOW_VISITOR_IP_DESC">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
                <field
                    name="guestip"
                    type="text"
                    default=""
                    label="MOD_CWTRAFFIC_VISITOR_IP_OPT"
                    description="MOD_CWTRAFFIC_VISITOR_IP_DESC"/>
                    
                <field
                    name="s_guestinfo"
                    type="radio"
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_VISITOR_INFO"
                    description="MOD_CWTRAFFIC_SHOW_VISITOR_INFO_DESC">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
                <field
                    name="guestinfo"
                    type="text"
                    default=""
                    label="MOD_CWTRAFFIC_VISITOR_INFO_OPT"
                    description="MOD_CWTRAFFIC_VISITOR_INFO_DESC"/>
                    
                <field
                    name="s_dateTime"
                    type="radio"
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_DATETIME"
                    description="MOD_CWTRAFFIC_SHOW_DATETIME_DESC">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                <field
                    name="dateTimeFormat"
                    type="list"
                    validate="options"
                    default="LC2"
                    label="MOD_CWTRAFFIC_DATETIME_FORMAT"
                    description="MOD_CWTRAFFIC_DATETIME_FORMAT_DESC">
                    <option value="JS1">MOD_CWTRAFFIC_DATETIME_JS1</option>
                    <option value="LC4">MOD_CWTRAFFIC_DATETIME_LC4</option>
                    <option value="LC3">MOD_CWTRAFFIC_DATETIME_LC3</option>
                    <option value="LC1">MOD_CWTRAFFIC_DATETIME_LC1</option>
                    <option value="LC2">MOD_CWTRAFFIC_DATETIME_LC2</option>
                </field>
                    
            </fieldset>
                    
            <fieldset 
                name="WHOISONINE"
                label="MOD_CWTRAFFIC_WHOISONLINE_SEPARATOR">                  
                    
                <field 
                    type="spacer" 
                    name="gn_spacer" 
                    label="MOD_CWTRAFFIC_SPACER_GENERAL"
                    class="cw_label" />
                        
                <field
                    name="s_whoisonline"
                    type="radio" 
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_WHOISONLINE"
                    description="MOD_CWTRAFFIC_SHOW_WHOISONLINE_DESC">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
                <field
                    name="hLineWho"
                    type="radio" 
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_HLINE_OPT"
                    description="MOD_CWTRAFFIC_SHOW_HLINE_DESC">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
                <field 
                    name="title_align_who" 
                    type="radio"                         
                    default="cw-traffic-mod-wio-title-ac" 
                    label="MOD_CWTRAFFIC_FIELD_TITLE_ALIGNMENT_LABEL" 
                    description="MOD_CWTRAFFIC_FIELD_TITLE_ALIGNMENT_DESC" >
                    <option value="cw-traffic-mod-wio-title-al">MOD_CWTRAFFIC_FIELD_ALIGNMENT_OP1</option>
                    <option value="cw-traffic-mod-wio-title-ac">MOD_CWTRAFFIC_FIELD_ALIGNMENT_OP2</option>
                    <option value="cw-traffic-mod-wio-title-ar">MOD_CWTRAFFIC_FIELD_ALIGNMENT_OP3</option>
                </field>
                    
                <field 
                    name="title_format_who" 
                    type="list" 
                    default="3"
                    label="MOD_CWTRAFFIC_FIELD_TITLE_FORMAT_LABEL" 
                    description="MOD_CWTRAFFIC_FIELD_TITLE_FORMAT_DESC" >
                    <option value="1">MOD_CWTRAFFIC_FIELD_TFORMAT_OP1</option>
                    <option value="2">MOD_CWTRAFFIC_FIELD_TFORMAT_OP2</option>
                    <option value="3">MOD_CWTRAFFIC_FIELD_TFORMAT_OP3</option>
                    <option value="4">MOD_CWTRAFFIC_FIELD_TFORMAT_OP4</option>
                    <option value="5">MOD_CWTRAFFIC_FIELD_TFORMAT_OP5</option>
                </field>
                    
                <field
                    name="showmode"
                    type="list"
                    default="0"
                    label="MOD_CWTRAFFIC_SHOWMODE_LABEL"
                    description="MOD_CWTRAFFIC_SHOWMODE_DESC">
                    <option value="0">MOD_CWTRAFFIC_FIELD_STYLE_OP1</option>
                    <option value="1">MOD_CWTRAFFIC_FIELD_STYLE_OP2</option>
                    <option value="2">MOD_CWTRAFFIC_FIELD_STYLE_OP3</option>
                </field>
                                                    
                <field 
                    type="spacer" 
                    name="who_spacer" 
                    label="MOD_CWTRAFFIC_SPACER_WHOISONLINE"
                    class="cw_label" />
                    
                <field 
                    name="display_title_who" 
                    type="radio"                            
                    default="1" 
                    label="MOD_CWTRAFFIC_FIELD_DISPLAYTITLE_WHO_LABEL" 
                    description="MOD_CWTRAFFIC_FIELD_DISPLAYTITLE_WHO_DESC" >
                    <option value="0">CW_NO</option>
                    <option value="1">CW_YES</option>
                </field>

                <field 
                    name="title_who" 
                    type="text" 
                    default="" 
                    size="30" 
                    label="MOD_CWTRAFFIC_FIELD_TITLE_WHO_LABEL" 
                    description="MOD_CWTRAFFIC_FIELD_TITLE_WHO_DESC" />
                    
                <field
                    name="s_who_guests"
                    type="radio"                           
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_WHO_GUESTS"
                    description="MOD_CWTRAFFIC_SHOW_WHO_GUESTS_DESC">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
                <field
                    name="s_who_members"
                    type="radio"                           
                    default="1"
                    label="MOD_CWTRAFFIC_SHOW_WHO_MEMBERS"
                    description="MOD_CWTRAFFIC_SHOW_WHO_MEMBERS_DESC">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
                <field 
                    type="spacer" 
                    name="mb_spacer" 
                    label="MOD_CWTRAFFIC_SPACER_MEMBERS"
                    class="cw_label" />
                                      
                <field 
                    name="display_title_mb" 
                    type="radio"                           
                    default="1" 
                    label="MOD_CWTRAFFIC_FIELD_DISPLAYTITLE_MB_LABEL" 
                    description="MOD_CWTRAFFIC_FIELD_DISPLAYTITLE_MB_DESC" >
                    <option value="0">CW_NO</option>
                    <option value="1">CW_YES</option>
                </field>

                <field 
                    name="title_mb" 
                    type="text" 
                    default="" 
                    size="30" 
                    label="MOD_CWTRAFFIC_FIELD_TITLE_MB_LABEL" 
                    description="MOD_CWTRAFFIC_FIELD_TITLE_MB_DESC" />
                    
                <field 
                    name="display_name_mb" 
                    type="list"                           
                    default="1" 
                    label="MOD_CWTRAFFIC_FIELD_NAMETYPE_LABEL" 
                    description="MOD_CWTRAFFIC_FIELD_NAMETYPE_DESC" >
                    <option value="0">MOD_CWTRAFFIC_FIELD_NAMETYPE_OPT1</option>
                    <option value="1">MOD_CWTRAFFIC_FIELD_NAMETYPE_OPT2</option>
                </field>
                                        
                <field
                    name="filter_groups"
                    type="radio"                         
                    default="0"
                    label="MOD_CWTRAFFIC_FIELD_FILTER_GROUPS_LABEL"
                    description="MOD_CWTRAFFIC_FIELD_FILTER_GROUPS_DESC">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                    
            </fieldset>
            
            <fieldset
                name="LAYOUT"
                label="MOD_CWTRAFFIC_LAYOUT_SEPARATOR">
                        
                <field
                    name="csswidth"
                    type="list"
                    validate="options"
                    default="0"
                    label="MOD_CWTRAFFIC_MODWIDTH"
                    description="MOD_CWTRAFFIC_MODWIDTHDESC">
                    <option value="0">Width 1</option>
                    <option value="1">Width 2</option>
                    <option value="2">Width 3</option>
                    <option value="3">Width 4</option>
                    <option value="4">Width 5</option>
                    <option value="5">Width 6</option>
                </field>
                    
                <field
                    name="layout"
                    type="radio"
                    default="default"
                    label="MOD_CWTRAFFIC_LAYOUT"
                    description="MOD_CWTRAFFIC_LAYOUTDESC">
                    <option value="default">Default</option>
                    <option value="horizontal">Horizontal</option>
                    <option value="compact">Compact</option>
                </field>
                    
                <field
                    name="hor_text"
                    type="text"
                    default="Web Traffic:"
                    label="MOD_CWTRAFFIC_HORTEXT"
                    description="MOD_CWTRAFFIC_HORTEXTDESC"/>
                        
                <field
                    name="separator"
                    type="text"
                    default="|"
                    label="MOD_CWTRAFFIC_SEPARATOR"
                    description="MOD_CWTRAFFIC_SEPARATORDESC"/>
                        
            </fieldset>
            <fieldset
                name="SYSTEM"
                label="MOD_CWTRAFFIC_SYSTEM_SEPARATOR">
                        
                <field
                    name="preset"
                    type="text"
                    default="0"
                    label="MOD_CWTRAFFIC_PRESET_COUNTER"
                    description="MOD_CWTRAFFIC_PRESET_COUNTER_DESC"/>
                    
            </fieldset>
                
            <fieldset name="ADVANCED">
                
                <field 
                    name="module_unique_id" 
                    type="text" 
                    default="cwtraffic1" 
                    label="MOD_CWTRAFFIC_MODID" 
                    description="MOD_CWTRAFFIC_MODID_DESC" />
                
                <field
                    name="cache"
                    type="list"
                    validate="options"
                    default="0"
                    label="MOD_CWTRAFFIC_CACHING"
                    description="MOD_CWTRAFFIC_CACHINGDESC">
                    <option value="1">Use global</option>
                    <option value="0">No caching</option>
                </field>
                
                <field 
                    name="cache_time"
                    type="text"
                    default="900"
                    label="MOD_CWTRAFFIC_CACHTIME"
                    description="MOD_CWTRAFFIC_CACHTIMEDESC"/>
                    
                <field 
                    name="moduleclass_sfx"
                    type="text"
                    default=""
                    label="MOD_CWTRAFFIC_SUFFIX"
                    description="MOD_CWTRAFFIC_SUFFIXDESC"/>
                    
                <field 
                    name="powered"
                    type="text"
                    default=""
                    label="MOD_CWTRAFFIC_POWEREDBY_OPT"
                    description="MOD_CWTRAFFIC_POWEREDBY_DESC"/>
                    
                <field
                    name="copy"
                    type="radio"
                    default="1"
                    label="MOD_CWTRAFFIC_POWERED_BY_LABEL"
                    description="MOD_CWTRAFFIC_POWERED_BY">
                    <option value="1">CW_YES</option>
                    <option value="0">CW_NO</option>
                </field>
                
            </fieldset>
            
        </fields>
    </config>
</extension>
